pro winx32_exp_cmd__define

;+
; NAME:
;       WINX32_EXP_CMD__DEFINE
;
; PURPOSE:
;       This is the definition code which is invoked when a new structure of
;       type WINX32_EXP_CMD is created.  It cannot be called directly, but only
;       indirectly by using the IDL automatic structure creation mechanism.
;       It defines the data structure for the WINX32_EXP_CMD structure type.
;
; CATEGORY:
;       IDL device class library.
;
; CALLING SEQUENCE:
;       exp_cmd = {WINX32_EXP_CMD}
;
; INPUTS:
;       None
;
; OUTPUTS:
;       None
;
; RESTRICTIONS:
;       This routine cannot be called directly.  It is called indirectly when
;       creating a new structure of type WINX32_EXP_CMD.
;
;       Note that the values in the definition are actually lost when the structure is
;       created, all values are set to 0.  The function WINX32_EXP_CMD_INIT() should be used
;       to create a structure of this type with their values initialized correctly.
;;
; EXAMPLE:
;       exp_cmd = {WINX32_EXP_CMD}
;       print, exp_cmd.EXP_EXPOSURE
;
; MODIFICATION HISTORY:
;       Written by:     Mark Rivers, November 1, 2006
;-

exp_cmd = {WINX32_EXP_CMD, $
    EXP_ETACTUAL: 1, $
    EXP_SEQUENTS: 2, $
    EXP_ERROR: 3, $
    EXP_GETCAPS: 4, $
    EXP_GETPLSR: 5, $
    EXP_DETECTOR_BIT: 16, $
    EXP_RUNNING_APP: 23, $
    EXP_VIDEO_TYPE: 24, $
    EXP_CUSTOM_VIDEO_X: 25, $
    EXP_CUSTOM_VIDEO_Y: 26, $
    EXP_CUSTOM_VIDEO_FSTWIDTH: 27, $
    EXP_CUSTOM_VIDEO_LSTWIDTH: 28, $
    EXP_VIDEO_XDIM: 29, $
    EXP_VIDEO_YDIM: 30, $
    EXP_VIDEO_MAX_ZOOM: 31, $
    EXP_VIDEO_HORZ_PAN: 32, $
    EXP_VIDEO_VERT_PAN: 33, $
    EXP_WORD_MULTIPLIER: 34, $
    EXP_TARGET_ID: 35, $
    EXP_ADAPTER_ID: 36, $
    EXP_NUMADAPTORS: 37, $
    EXP_FORCE_PP_INIT: 38, $
    EXP_NOP_ADC: 39, $
    EXP_ACTUAL_TEMP: 40, $
    EXP_FORCE_AUTOSTOP: 41, $
    EXP_DEFAULT_VTCLK: 42, $
    EXP_MIN_VTCLK: 43, $
    EXP_MAX_VTCLK: 44, $
    EXP_DEFAULT_HTCLK: 45, $
    EXP_MIN_HTCLK: 46, $
    EXP_MAX_HTCLK: 47, $
    EXP_TIMING_STYLE: 48, $
    EXP_HEADSELECT: 49, $
    EXP_HORZPHASE: 50, $
    EXP_VERTPHASE: 51, $
    EXP_SPECIAL_SPEED: 52, $
    EXP_PRE_STRIPS: 53, $
    EXP_POST_STRIPS: 54, $
    EXP_PRE_LINES: 55, $
    EXP_POST_LINES: 56, $
    EXP_ACTIVE_LINES: 57, $
    EXP_ACTIVE_STRIPS: 58, $
    EXP_XFER_EXTRA: 59, $
    EXP_MIN_BLOCK: 60, $
    EXP_NUM_MIN_BLOCK: 61, $
    EXP_LOGIC_OUTPUT: 66, $
    EXP_VIDEO_BLANK: 67, $
    EXP_ZOOM_MODE_VIDEO: 68, $
    EXP_LEVEL_SYNC: 69, $
    EXP_DISABLE_LASER: 70, $
    EXP_ACQBACK_SHUTTER: 71, $
    EXP_ACQFLAT_SHUTTER: 72, $
    EXP_SMALL_CCD_MINEXP: 73, $
    EXP_LARGE_CCD_MINEXP: 74, $
    EXP_GATING_MODE: 75, $
    EXP_ILME_B1X: 76, $
    EXP_ILME_B2X: 77, $
    EXP_ILME_D1X: 78, $
    EXP_ILME_D2X: 79, $
    EXP_ILME_D4X: 80, $
    EXP_INIT_HW_ACCUM: 81, $
    EXP_5X_GAIN_ENABLE: 82, $
    EXP_RET_SRCCMP: 83, $
    EXP_EVENT_HANDLE: 84, $
    EXP_READOUT_MODE: 85, $
    EXP_SHUTTER_TYPE: 86, $
    EXP_USER_DEFINED_CHIP: 87, $
    EXP_USER_DEFINED_TIMING: 88, $
    EXP_CONTROLLER_VERSION: 89, $
    EXP_GET_CONTROLLER_VER: 90, $
    EXP_TTL_LINES: 91, $
    EXP_BIT_ADJUST: 92, $
    EXP_RESOLUTION: 93, $
    EXP_GAIN: 94, $
    EXP_ADC_RATE: 95, $
    EXP_ADC_TYPE: 96, $
    EXP_NUMBER_OF_CLEANS: 97, $
    EXP_NUM_OF_STRIPS_PER_CLN: 98, $
    EXP_INTERFACE_CARD: 99, $
    EXP_INTERRUPT: 100, $
    EXP_IO_ADDRESS1: 101, $
    EXP_IO_ADDRESS2: 102, $
    EXP_IO_ADDRESS3: 103, $
    EXP_HW_ROI: 104, $
    EXP_HW_BINNING: 105, $
    EXP_EDGE_TRIGGER: 106, $
    EXP_SHUTTER_CONTROL: 107, $
    EXP_RS170: 108, $
    EXP_RS170_COMPLEX: 109, $
    EXP_HW_RS170_LUT: 110, $
    EXP_RS170_INTENSITY_SCALING: 111, $
    EXP_RS170_OFFSET: 112, $
    EXP_RS170_PAN: 113, $
    EXP_RS170_ZOOM2X: 114, $
    EXP_RS170_ZOOM4X: 115, $
    EXP_RS170_BINNING: 116, $
    EXP_RS170_DECIMATION: 117, $
    EXP_HW_ACCUM: 118, $
    EXP_SHT_PREOPEN: 119, $
    EXP_STORE_STROBE: 120, $
    EXP_CONT_CLNS: 121, $
    EXP_TIMING_MODE: 122, $
    EXP_EXT_TRIGGER: 123, $
    EXP_EVENT_COUNTER: 124, $
    EXP_SW_TRIGGER: 125, $
    EXP_KINETICS_WINDOWSIZE: 126, $
    EXP_EXPOSURE: 127, $
    EXP_CONTROLLER_NAME: 128, $
    EXP_CCD_CHIP_NAME: 129, $
    EXP_BSWBINNING: 297, $
    EXP_EDGEENHANCE: 130, $
    EXP_BOXVIDEOGAIN: 131, $
    EXP_HSHADING_VALUE: 132, $
    EXP_VSHADING_VALUE: 133, $
    EXP_EDGEENHANCE_FLAG: 134, $
    EXP_SHADING_FLAG: 135, $
    EXP_GRAYSCALE: 136, $
    EXP_OFFSET: 137, $
    EXP_CCDGAIN: 138, $
    EXP_TEMPERATURE: 139, $
    EXP_MCPVOLTAGE: 140, $
    EXP_BOXEXPOSURE: 141, $
    EXP_ABC_FLAG: 142, $
    EXP_GAMMA_FLAG: 143, $
    EXP_AUTOBLACK_FLAG: 144, $
    EXP_AGC_FLAG: 145, $
    EXP_ODD_FIELD: 146, $
    EXP_FIELD_SELECT: 147, $
    EXP_RESET: 148, $
    EXP_EXTERN_ENABLE: 149, $
    EXP_CONTROLLERS_SUPPORTED: 150, $
    EXP_VTCLK: 151, $
    EXP_HTCLK: 152, $
    EXP_GATE_VS_CW: 153, $
    EXP_COM_PORT: 154, $
    EXP_US_UNITS: 156, $
    EXP_MS_UNITS: 157, $
    EXP_SEC_UNITS: 158, $
    EXP_MIN_UNITS: 159, $
    EXP_HRS_UNITS: 160, $
    EXP_FRAME_UNITS: 161, $
    EXP_SYNC_ASYNC: 162, $
    EXP_FOCUS_NFRAME: 163, $
    EXP_TIMEOUT: 164, $
    EXP_TIMEOUT_DEFAULT: 165, $
    EXP_HW_AUTOSTOP: 166, $
    EXP_RS170_INTEN_OFFSET: 167, $
    EXP_CONTROLLER_ALIVE: 168, $
    EXP_FOCUS_TYPE: 169, $
    EXP_FOCUS_ZOOM: 170, $
    EXP_FOCUS_PAN: 171, $
    EXP_MULTI_TAP_ROI: 172, $
    EXP_USE_INTERUPTS: 173, $
    EXP_DATA_ACQ_STATE: 174, $
    EXP_VERIFY_GOOD_VALUES: 175, $
    EXP_WHITE_CLAMP: 176, $
    EXP_BLACK_CLAMP: 177, $
    EXP_DELAY_TIME: 178, $
    EXP_READOUT_TIME: 179, $
    EXP_SW_DIAG: 180, $
    EXP_DIAG1: 181, $
    EXP_DIAG2: 182, $
    EXP_DIAG3: 183, $
    EXP_DIAG4: 184, $
    EXP_DIAG5: 185, $
    EXP_AorB_GROUP: 186, $
    EXP_ABSORBANCE_FLAG: 187, $
    EXP_ABSORBANCE_METHOD: 188, $
    EXP_ABSORBANCE_STRIPNUM: 189, $
    EXP_DMASIZE_VIA_DRIVER: 190, $
    EXP_DRIVERVERSION: 191, $
    EXP_NUM_DEVICES: 192, $
    EXP_ECPDMA_CHANNEL: 193, $
    EXP_CUSTOM_SHUTTER: 194, $
    EXP_ADC_OFFSET: 195, $
    EXP_CURRENT_READOUT_MODE: 196, $
    EXP_BANK_ADD: 197, $
    EXP_LUT_BANK: 198, $
    EXP_SETUP_STATUS: 201, $
    EXP_XY_GROUPING: 239, $
    EXP_MESSAGES_FLAG: 240, $
    EXP_TTL_LINE_TO_WAIT: 253, $
    EXP_DATA_COLLECTION_MODE: 258, $
    EXP_DATA_COLLECTION_TYPE: 262, $
    EXP_SKIPFRAMES: 274, $
    EXP_CLR_INT_CNTR: 276, $
    EXP_ENABLE_INT_CNTR: 277, $
    EXP_INT_CNTR: 278, $
    EXP_INTERNAL_SYNC_SRC: 279, $
    EXP_SW_EXTSYNC: 280, $
    EXP_PTG_PRESENT: 281, $
    EXP_ELEC_SHT: 282, $
    EXP_BOARDS_WITH_NVRAM: 283, $
    EXP_ANLGMASTER_ST143: 284, $
    EXP_ANLGSLAVE_ST143: 285, $
    EXP_DISPLAY_ST143: 286, $
    EXP_INTRFACE_ST143: 287, $
    EXP_SCANCONTROL_ST143: 288, $
    EXP_NUMBERFRAMES_IRQ: 204, $
    EXP_COOL_TYPE: 214, $
    EXP_HD_TYPE: 215, $
    EXP_INTENSIFER_GAIN: 216, $
    EXP_SHT_GATE_MODE: 217, $
    EXP_HD_CHECK: 218, $
    EXP_AMP_MODE: 219, $
    EXP_ANALOG_GAIN: 220, $
    EXP_HW_FIXES: 221, $
    EXP_PCI_CARDS: 222, $
    EXP_NOT_REVERSE: 223, $
    EXP_LOAD_NVRAM_DEFAULTS: 234, $
    EXP_CNTR_BRD: 235, $
    EXP_XDIMHW: 237, $
    EXP_YDIMHW: 238, $
    EXP_SPECIAL_FAST_RDOUT: 254, $
    EXP_SPCL_FAST_Y_DIM: 255, $
    EXP_SPCL_FAST_X_DIM: 256, $
    EXP_SPCL_FAST_Y_INDEX: 257, $
    EXP_SHUTTER_COMP_TIME_MS: 266, $
    EXP_NVRAM_AVAIL: 267, $
    EXP_NUMBER_AGAIN_AVAIL: 269, $
    EXP_SENSOR_TYPE: 270, $
    EXP_EVENT_TYPE: 292, $
    EXP_ANTI_BLOOMING: 293, $
    EXP_FAST_PULSE_ENABLE: 233, $
    EXP_USE_HEADCALIB: 296, $
    EXP_TEMP_STATUS: 301, $
    EXP_MULTIPLE_READMODES_LIVE: 302, $
    EXP_FIRST_ACQUIRE_FLAG: 303, $
    EXP_ANTI_BLOOMING_CONTROL: 304, $
    EXP_PRE_HORZ_DELAY: 305, $
    EXP_NVRAM_TRIES: 306, $
    EXP_XASCEND: 307, $
    EXP_YASCEND: 308, $
    EXP_ALT_TIMING: 309, $
    EXP_SHUTTER_PRE_COMP: 310, $
    EXP_PVCAM_POSSIBLE: 311, $
    EXP_ADC_IN_NVRAM: 312, $
    EXP_PASSTHRU_MODE: 313, $
    EXP_FIRMWAREVERSION: 314, $
    EXP_IMMEDIATE_SHUTTER: 315, $
    EXP_STAGE2_TEMP: 316, $
    EXP_AVGAIN_ENABLED: 317, $
    EXP_AVGAIN_SETPOINT: 318, $
    EXP_AVGAIN: 319, $
    EXP_AVGAIN_CALIB_TEMP: 320, $
    EXP_AVGAIN_CALIB_COEFF1: 321, $
    EXP_AVGAIN_CALIB_COEFF2: 322, $
    EXP_AVGAIN_CALIB_COEFF3: 323, $
    EXP_AVGAIN_CALIB_COEFF4: 324, $
    EXP_AVGAIN_CALIB_COEFF5: 325, $
    EXP_FORCE_READOUT_MODE: 326, $
    EXP_RESET_DATACOLLECTION: 327, $
    EXP_ACTIVE_SUBFRAME: 328, $
    EXP_CLASSNAME: 775, $
    EXP_FLATFLDNAME: 776, $
    EXP_DARKNAME: 777, $
    EXP_SETUPNAME: 778, $
    EXP_ACCESSNAME: 779, $
    EXP_DATFILENAME: 780, $
    EXP_ABSORBFILENAME: 781, $
    EXP_BLEMISHFILENAME: 782, $
    EXP_COSMICFILENAME: 783, $
    EXP_FILEINCBASENAME: 784, $
    EXP_YTNAME: 785, $
    EXP_DEVNAME: 786, $
    EXP_USEROI: 787, $
    EXP_DOBLEMISH: 788, $
    EXP_DOABSORB: 789, $
    EXP_DOCOSMIC: 790, $
    EXP_COSMICSENS: 791, $
    EXP_ABSORBSTRIP: 792, $
    EXP_DATATYPE: 793, $
    EXP_OVERWRITECONFIRM: 794, $
    EXP_FILEINCENABLE: 795, $
    EXP_FILEINCCOUNT: 796, $
    EXP_RUNNING: 797, $
    EXP_SAVEROPT: 798, $
    EXP_TIME_UNITS: 799, $
    EXP_FILEACCESS: 800, $
    EXP_AUTOSAVE: 801, $
    EXP_NEWWINDOW: 802, $
    EXP_XDIM: 803, $
    EXP_YDIM: 804, $
    EXP_XDIMDET: 805, $
    EXP_YDIMDET: 806, $
    EXP_ROIMODE: 807, $
    EXP_NUMREPEATSEXP: 808, $
    EXP_NUMACCUMSEXP: 809, $
    EXP_THREADSTATE: 810, $
    EXP_USEMINTHRESHOLDING: 811, $
    EXP_MINTHRESHOLDVALUE: 812, $
    EXP_USEMAXTHRESHOLDING: 813, $
    EXP_MAXTHRESHOLDVALUE: 814, $
    EXP_RUNNING_EXPERIMENT: 815, $
    EXP_THRESHOLD_DEMAND_UPDATE: 816, $
    EXP_ROICOUNT: 817, $
    EXP_ACCUMS: 818, $
    EXP_CACCUMS: 819, $
    EXP_CSEQUENTS: 820, $
    EXP_PHOTON_ESTIMATION_ENABLE: 821, $
    EXP_PHOTON_MAXTIME: 822, $
    EXP_PHOTON_MAXTIMEUNIT: 823, $
    EXP_CUSTOMFILTER_ENABLE: 824, $
    EXP_CUSTOMFILTER_SIZE: 825, $
    EXP_LOOKUPTABLE_ENABLE: 826, $
    EXP_BSHOWWINDOW: 827, $
    EXP_BBACKSUBTRACT: 828, $
    EXP_BDOFLATFIELD: 829, $
    EXP_ASCIIOUTPUTFILE: 830, $
    EXP_ASCIIOUTPUT_DELIMITER: 831, $
    EXP_ASCIIOUTPUT_TERMINATOR: 832, $
    EXP_FFTYPE: 833, $
    EXP_BGTYPE: 834, $
    EXP_COSGRASS: 835, $
    EXP_RUNASCONFIRM: 836, $
    EXP_RUNASRUNACCESS: 837, $
    EXP_DATAFILETYPE: 838, $
    EXP_ROTATE: 839, $
    EXP_FLIP: 840, $
    EXP_REVERSE: 841, $
    EXP_SWBINNING: 842, $
    EXP_AUTOSTORE: 843, $
    EXP_XBINNED: 844, $
    EXP_YBINNED: 845, $
    EXP_NUMPATTERNS: 846, $
    EXP_EXPERIMENTTIME: 847, $
    EXP_ASYNCSEQUENTIALS: 848, $
    EXP_SEQUENTIALS: 849, $
    EXP_CSEQUENTIALS: 850, $
    EXP_AUTOD: 851, $
    EXP_EXPOSURETIME: 852, $
    EXP_EXPOSURETIME_UNITS: 853, $
    EXP_ACQMODE: 854,  $
    EXP_DMASIZE_PVCAM: 855, $
    EXP_INITIALIZE: 856, $
    EXP_CELL_X_SIZE: 857, $
    EXP_CELL_Y_SIZE: 858, $
    EXP_X_GAP_SIZE: 859, $
    EXP_Y_GAP_SIZE: 860 $
}
end
